- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# math.hh File Reference

Wrapper about the math library for Vaucanson. More...

Include dependency graph for math.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

Wrapper about the math library for Vaucanson.

This file includes the standard `cmath` header and attempts to fix the standard math library by adding the following functions if needed:

- `sqrtf` if `NEED_SQRTF` is defined
- `floorf` if `NEED_FLOORF` is defined
- `round` if `NEED_ROUND` is defined
- `roundf` if `NEED_ROUNDF` is defined

Additionnally, it defines `USE_CXX_LIMITS` if the macro `USE_C_LIMITS` is not defined and the standard header `limits` was detected available (`HAVE_LIMITS` is defined).

Definition in file math.hh.